commit:     a8cfea4369d3ad3c603a036a5f2a0ac2bddc1cce
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 27 01:07:46 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 02:15:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8cfea43

dev-python/debtcollector: bup

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/debtcollector/Manifest                  |  1 +
 .../debtcollector/debtcollector-1.11.0.ebuild      | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/debtcollector/Manifest 
b/dev-python/debtcollector/Manifest
index da170ea150..9b0ba80039 100644
--- a/dev-python/debtcollector/Manifest
+++ b/dev-python/debtcollector/Manifest
@@ -1 +1,2 @@
+DIST debtcollector-1.11.0.tar.gz 26266 SHA256 
733afa881c844a40ef4623ab73ce1862e505bc4655635da3a91d8f3482677785 SHA512 
9dcbfdaec5d16714d17eca2bfce7049c0a042b2370b1be5a4a0c0057dc28bf060ba570639581ceb5e5c27f2117f9001e4b2bb350899bdab0c0c7cdc3098a9bb2
 WHIRLPOOL 
3456da61c660b4102c391c38910158fcc3907c41cd7a5ed079bfa8366af42bbff9291c42e5e00a14b495c2443a0d4febd5be1da536901eb184bec9cb0c9142e7
 DIST debtcollector-1.3.0.tar.gz 21853 SHA256 
9a65cf09239eab75b961ef609b3176ed2487bedcfa0a465331661824e1c8db8f SHA512 
b53ef131599fb04abb9f11e8abe3dc8447a595695bab505be642c03925e0da625e6a10944ec10863526645080ed3ce43b9a5138a1f7ba91511ade6daf42d018a
 WHIRLPOOL 
04c6ee34a48955a86535c3161005417f5c5dfca9152e092c3856d61a4707f6249245398006d0da0c31ffa7103ab69a566bf84d7321b70362d59f359b5225622f

diff --git a/dev-python/debtcollector/debtcollector-1.11.0.ebuild 
b/dev-python/debtcollector/debtcollector-1.11.0.ebuild
new file mode 100644
index 0000000000..da10dfd7f3
--- /dev/null
+++ b/dev-python/debtcollector/debtcollector-1.11.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python deprecation patterns and strategies that collect technical 
debt"
+HOMEPAGE="http://www.openstack.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+               >dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               !~dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               dev-python/doc8[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.4[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+       virtual/python-funcsigs[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || di
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       distutils_install_for_testing
+
+       rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to